org.eclipse.eef.properties.ui.legacy.internal.extension.impl

## Class LegacyPropertyTabItemDescriptor

- java.lang.Object
- - org.eclipse.eef.properties.ui.api.AbstractEEFTabDescriptor
  - - org.eclipse.eef.properties.ui.legacy.internal.extension.impl.LegacyPropertyTabItemDescriptor

All Implemented Interfaces:
  java.lang.Cloneable, IEEFTabDescriptor, IEEFTabItem, IItemDescriptor

    public class LegacyPropertyTabItemDescriptor
    extends AbstractEEFTabDescriptor
    implements IItemDescriptor

The property tab descriptor.

### Field Summary

### Fields inherited from interface org.eclipse.eef.properties.ui.api.IEEFTabDescriptor

`TOP`

### Constructor Summary

Constructors
Constructor and Description
`LegacyPropertyTabItemDescriptor(java.lang.String contributorId, java.lang.String label, java.lang.String category, java.lang.String afterTab, java.lang.String id, boolean indented, org.eclipse.jface.resource.ImageDescriptor imageDesc)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()` Disposes this descriptor.
`java.lang.String` `getAfterTab()` Get the identifier of the tab after which this tab should be displayed.
`java.lang.String` `getCategory()` Get the category this tab belongs to.
`java.lang.String` `getContributorId()` Get contributor id.
`java.lang.String` `getId()` Returns the identifier.
`org.eclipse.swt.graphics.Image` `getImage()` Get the icon image for the tab.
`java.lang.String` `getLabel()` Get the text label for the tab.
`boolean` `isIndented()` Determine if this tab is indented.

### Methods inherited from class org.eclipse.eef.properties.ui.api.AbstractEEFTabDescriptor

`clone, createTab, equals, getSectionDescriptors, getText, hashCode, isSelected, setSectionDescriptors`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LegacyPropertyTabItemDescriptor

    public LegacyPropertyTabItemDescriptor(java.lang.String contributorId,
                                           java.lang.String label,
                                           java.lang.String category,
                                           java.lang.String afterTab,
                                           java.lang.String id,
                                           boolean indented,
                                           org.eclipse.jface.resource.ImageDescriptor imageDesc)

The constructor.

Parameters:
  `contributorId` - The contributor id
  `category` - The category
  `id` - The id
  `label` - The label
  `afterTab` - The afterTab
  `indented` - Is indented
  `imageDesc` - The image descriptor

### Method Detail

#### getCategory

    public java.lang.String getCategory()

Get the category this tab belongs to.

Specified by:
  `getCategory` in interface `IEEFTabDescriptor`
Returns:
  Get the category this tab belongs to.
See Also:
  `IEEFTabDescriptor.getCategory()`

#### getId

    public java.lang.String getId()

Returns the identifier.

Specified by:
  `getId` in interface `IEEFTabDescriptor`
Specified by:
  `getId` in interface `IItemDescriptor`
Returns:
  The identifier
See Also:
  `IEEFTabDescriptor.getId()`

#### getContributorId

    public java.lang.String getContributorId()

Get contributor id.

Returns:
  The contributor ID

#### getLabel

    public java.lang.String getLabel()

Get the text label for the tab.

Specified by:
  `getLabel` in interface `IEEFTabDescriptor`
Returns:
  the text label for the tab.
See Also:
  `IEEFTabDescriptor.getLabel()`

#### getAfterTab

    public java.lang.String getAfterTab()

Get the identifier of the tab after which this tab should be displayed. When two or more tabs belong to the same category, they are sorted by the after tab values.

Specified by:
  `getAfterTab` in interface `IEEFTabDescriptor`
Overrides:
  `getAfterTab` in class `AbstractEEFTabDescriptor`
Returns:
  the identifier of the tab.
See Also:
  `IEEFTabDescriptor.getAfterTab()`

#### isIndented

    public boolean isIndented()

Determine if this tab is indented.

Specified by:
  `isIndented` in interface `IEEFTabItem`
Overrides:
  `isIndented` in class `AbstractEEFTabDescriptor`
Returns:
  `true` if this tab is indented.
See Also:
  `IEEFTabItem.isIndented()`

#### getImage

    public org.eclipse.swt.graphics.Image getImage()

Get the icon image for the tab.

Specified by:
  `getImage` in interface `IEEFTabItem`
Overrides:
  `getImage` in class `AbstractEEFTabDescriptor`
Returns:
  the icon image for the tab.
See Also:
  `IEEFTabItem.getImage()`

#### dispose

    public void dispose()

Disposes this descriptor.